A=[1 2 3;4 5 6;7 8 9];
[r,c]=size(A);
% 判断并把A中大于8和小于2的元素全部调整为0
for i=1:1:r
    for j=1:1:c
        if (A(i,j)>8 || A(i,j)<2)
            A(i,j)=0;
        end
    end
end
% 改写
b=(A <= 8 & A >= 2); % 判断A中小于等于8和大于等于2的元素，结果是逻辑值0/1
A=A.*b %实现A中大于8和小于2的元素全部调整为0，基于矩阵的点乘